Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class AuthnContext

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.AuthnContext`

public class AuthnContext
extends oracle.security.xmlsec.util.XMLElement

This class implements the Liberty AuthnContext element which contains the authenticationn context that the identity provider used in the authentication event to yield the authentication statement in an AuthnResponse.

See Also:
  `LibAuthenticationStatement`, `AuthenticationContextStatement`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthnContext(org.w3c.dom.Document owner)` Creates a new `AuthnContext` instance within the specified XML Document.
`AuthnContext(org.w3c.dom.Element element)` Creates a new `AuthnContext` instance from the given Element node.
`AuthnContext(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthnContext` instance from the given Element node.

Method Summary
`AuthenticationContextStatement` | `getAuthenticationContextStatement()` Returns the AuthenticationContextStatement element in this structure, or null if not specified.
`java.lang.String` | `getAuthnContextClassRef()` Returns the URI included in the AuthnContextClassRef element in this structure, or null if not specified.
`java.lang.String` | `getAuthnContextStatementRef()` Returns the URI included in the AuthnContextStatementRef element in this structure, or null if not specified.
`void` | `setAuthenticationContextStatement(AuthenticationContextStatement authnContextStatement)` Sets the value of the AuthenticationContextStatement child element.
`void` | `setAuthnContextClassRef(java.lang.String accrURI)` Sets the value of the AuthnContextClassRef child element.
`void` | `setAuthnContextStatementRef(java.lang.String acsrURI)` Sets the value of the AuthnContextStatementRef child element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnContext

    public AuthnContext(org.w3c.dom.Element element)
                 throws org.w3c.dom.DOMException

  Creates a new `AuthnContext` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnContext XML element.

### AuthnContext

    public AuthnContext(org.w3c.dom.Element element,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Creates a new `AuthnContext` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnContext XML element.
  `systemId` - The URI string system ID for the `AuthnContext`.

### AuthnContext

    public AuthnContext(org.w3c.dom.Document owner)
                 throws org.w3c.dom.DOMException

  Creates a new `AuthnContext` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnContext element.

Method Detail

### setAuthnContextClassRef

    public void setAuthnContextClassRef(java.lang.String accrURI)

  Sets the value of the AuthnContextClassRef child element. This elemnt contains a URI reference to an authentication context class for the authentication context statement.
  Parameters:
    `accrURI` - A URI identifying an authentication context class.

### getAuthnContextClassRef

    public java.lang.String getAuthnContextClassRef()

  Returns the URI included in the AuthnContextClassRef element in this structure, or null if not specified.

### setAuthnContextStatementRef

    public void setAuthnContextStatementRef(java.lang.String acsrURI)

  Sets the value of the AuthnContextStatementRef child element. This element contains a URI reference to the the authentication context statement.
  Parameters:
    `acsrURI` - The URI that identifies an authentication context statement.

### getAuthnContextStatementRef

    public java.lang.String getAuthnContextStatementRef()

  Returns the URI included in the AuthnContextStatementRef element in this structure, or null if not specified.

### setAuthenticationContextStatement

    public void setAuthenticationContextStatement(AuthenticationContextStatement authnContextStatement)

  Sets the value of the AuthenticationContextStatement child element.
  Parameters:
    `authnContextStatement` - An AuthenticationContextStatement.

### getAuthenticationContextStatement

    public AuthenticationContextStatement getAuthenticationContextStatement()

  Returns the AuthenticationContextStatement element in this structure, or null if not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.